/* 
 * File:   demo_funktionen.h
 * Author: VSK
 *
 * Created on 18. Juli 2012, 10:03
 */

#ifndef DEMO_FUNKTIONEN_H
#define	DEMO_FUNKTIONEN_H

union DemoFlags{
    char all;

    struct {
        unsigned LN : 4;
        unsigned HN : 4;
    };

    struct {
        unsigned encUp      : 1;
        unsigned encDown    : 1;
        unsigned newADC     : 1;
        unsigned newCapture : 1;
        unsigned newSec     : 1;
        unsigned bit5 : 1;
        unsigned bit6 : 1;
        unsigned bit7 : 1;
    };
};
extern near union DemoFlags flags;
extern near unsigned short adc_value;
extern near unsigned short capture_value, old_capture;


extern void TestLEDs(void);         // LEDs im Debug-Modus (single step) ein/aus
extern void ButtonLEDs(void);       // BTN_4 schaltet LED_2/3/4 aus ((LED_1 an))
extern void ButtonsChangeLEDs(void);// Taster toggeln die LEDs
extern void TTL_ST_toLED(void);     // Zur Ermittlung der Schaltschwellen
extern void Blink_Counter(void);    // Zeitsteuerung durch "Zaehlen"
//extern void Reaktionstest(void);  // Blink_Counter-> Spiel
extern void Blink_Timer(void);      // Zeitsteuerung mit Timer
//extern void Blink_Interrupt(void);// Zeitsteuerung mit Timer und CCP-Interrupt
extern void EncoderLEDs(void);      // Encoder rotiert die LEDs
extern void EncoderLCD(void);       // Encoder Anzeige auf LCD Display
extern void AnalogLEDs(void);       // ADC von Poti an LEDs anzeigen
extern void AnalogLCD(void);        // ADC von Poti auf LCD Display anzeigen
extern void Analog_Out(void);       // Analoges Signal ausgeben (ueber Tasten)
extern void Signal_Out(void);       // Analoges Signal aus Datenfeld
extern void Sound_PWM(void);        // Toene am Signalgeber ueber PWM erzeugen!
//extern void Sound_Compare(void);
extern void RS232_TX(void);         // Seriell Daten senden
extern void RS232_RX(void);         // Seriell Daten empfangen
extern void MiniRS232(void);        // Serielle Kommunikation (beide Richtungen)
//extern void USrangeFinder(void);
extern void TimeMeasure(void);         // Zeit zwischen zwei pos. Flanken messen
extern void ClockMenu(void);         // LCD Uhr mit Einstell-Menue

extern void BoardTest(void);        // (alle) Funktionen ueberpruefen

#endif	/* DEMO_FUNKTIONEN_H */
